(function() {
  var json;

  json = require('sequelize-utils').property.json;

  module.exports = function(tableName, sequelize, DataTypes) {
    var Model;
    return Model = sequelize.define(tableName, {
      start: {
        type: DataTypes.DATE,
        allowNull: false
      },
      url: {
        type: DataTypes.STRING(500),
        allowNull: false,
        validate: {
          notEmpty: true
        }
      },
      method: {
        type: DataTypes.STRING(10),
        allowNull: false,
        validate: {
          notEmpty: true
        }
      },
      headers: json('headers', {
        validate: {
          notEmpty: true
        }
      }),
      querystring: json('querystring', {
        validate: {
          notEmpty: true
        }
      }),
      body: json('body'),
      end: {
        type: DataTypes.DATE
      },
      time: {
        type: DataTypes.INTEGER
      },
      statusCode: {
        type: DataTypes.STRING(20)
      },
      resHeaders: json('resHeaders'),
      resJSON: json('resJSON'),
      resBody: {
        type: 'LONGTEXT'
      }
    });
  };

}).call(this);
